#include<bits/stdc++.h>
#define lim 100006

using namespace std;

int main(){
	
	int n,k,ca,brp=0,br=0;
	int a[lim];
	set<int>b;
	vector<int>v;
	cin>>n>>k;
	for(int i=0;i<n;i++){
		cin>>a[i];
		b.insert(a[i]);
	}
	set<int>::iterator it=b.begin();
    for(;it!=b.end();it++){
    	ca=*it;
    	for(int i=0;i<n;i++){
    		if(a[i]==ca){
    			brp++;
    		}
    		if(brp==2){
    			v.push_back(ca);
    			br++;
    			break;
    		}
    	}
    	brp=0;
    }
    cout<<br<<endl;
    for(int i=0;i<br;i++){
    	cout<<v[i]<<" ";
    }
    
    
    
}